> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List flavors

> Retrieve a list of available compute flavors for functions.
Flavors define CPU and memory resources for function execution.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/faas/flavors/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/faas/flavors/{project_id}/{region_id}:
    get:
      tags:
        - Function as a Service
      summary: List flavors
      description: |-
        Retrieve a list of available compute flavors for functions.
        Flavors define CPU and memory resources for function execution.
      operationId: FaaSFlavorsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: query
          name: name
          required: false
          description: Function name
          schema:
            anyOf:
              - pattern: ^[0-9]{0,12}mCPU-[0-9]{0,12}MB$
                type: string
              - type: 'null'
            default: null
            description: Function name
            examples:
              - function-name
            title: Name
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FaasFlavorsListSerializer'
components:
  schemas:
    FaasFlavorsListSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/FaasFlavorSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: FaasFlavorsListSerializer
      type: object
    FaasFlavorSerializer:
      properties:
        cpu:
          description: The number of millicpus allocated to the flavor.
          example: 128
          examples:
            - 128
          maximum: 2000
          minimum: 1
          title: Cpu
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The generated name of the flavor.
          examples:
            - 128m-128MB
          title: Name
        ram:
          description: The amount of RAM (in megabytes) allocated to the flavor.
          example: 128
          examples:
            - 128
          maximum: 2000
          minimum: 1
          title: Ram
          type: integer
      required:
        - cpu
        - ram
      title: FaaS Flavor
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````